spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Public Attributes | List of all members
spot::unsigned_statistics_copy Class Reference
TωA (Transition-based ω-Automata) » TωA algorithms » Emptiness-checks » Emptiness-check statistics

comparable statistics More...

`#include <spot/twaalgos/emptiness_stats.hh>`

Collaboration diagram for spot::unsigned_statistics_copy:

## Public Types
typedef std::map< const char *, unsigned, char_ptr_less_than > | stats_map

## Public Member Functions
| unsigned_statistics_copy (const unsigned_statistics &o)
bool | seteq (const unsigned_statistics &o)
bool | operator== (const unsigned_statistics_copy &o) const
bool | operator!= (const unsigned_statistics_copy &o) const

## Public Attributes
stats_map | stats
bool | set

## Detailed Description

comparable statistics

This must be built from a spot::unsigned_statistics. But unlike spot::unsigned_statistics, it supports equality and inequality tests. (It's the only operations it supports, BTW.)

The documentation for this class was generated from the following file:

- spot/twaalgos/emptiness_stats.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.